{ config, ... }:

{
  imports = [
    ./forgejo.nix
    ./auth_sources.nix
  ];

  mine.shared.meta.forgejo = {
    name = "Forgejo";
    description = "We host our own Forgejo for hosting and managing your code! Login using your credentials.";
    url = "https://${config.mine.shared.settings.forgejo.domain}";

    package = let
      pkg = config.services.forgejo.package;
    in {
      name = pkg.pname;
      version = pkg.version;
      meta = pkg.meta;
    };
  };
}
